Name:           python-nvdlib
Version:        0.7.5
Release:        %autorelease
Summary:        National Vulnerability Database CPE/CVE API Library for Python
License:        MIT
URL:            https://github.com/vehemont/nvdlib
BuildArch:      noarch
# no sdists uploaded to PyPI
Source:         %{url}/archive/v%{version}/nvdlib-%{version}.tar.gz

%global common_description %{expand:
NVDlib is a Python library that allows you to interface with the NIST National
Vulnerability Database (NVD), pull vulnerabilities (CVEs), and Common Platform
Enumeration (CPEs) into easily accessible objects.}


%description %{common_description}


%package -n python3-nvdlib
Summary:        %{summary}
BuildRequires:  python3-devel


%description -n python3-nvdlib %{common_description}


%prep
%autosetup -n nvdlib-%{version}
sed -e 's/==/>=/' -i setup.py


%generate_buildrequires
%pyproject_buildrequires -x dev


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files nvdlib


%check
%pytest --verbose


%files -n python3-nvdlib -f %{pyproject_files}
%doc README.md


%changelog
%autochangelog
